Create a new order from the customer’s shopping cart
curl -X POST "https://api.example.com/api/v1/i/orders/" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"action": "checkout",
"billing_address": {
"street_address": "123 Main St",
"postal_code": 12345,
"city": "Anytown",
"state": "CA",
"country": "Canada"
}
}'
{
"success": "Your Order has been saved"
}
Documentation Index
Fetch the complete documentation index at: https://mintlify.com/klvxn/ecommerce-api/llms.txt
Use this file to discover all available pages before exploring further.
checkout - Create order and redirect to paymentsave_order - Create order without immediate paymentShow Address Fields
billing_address in the request or the customer must have a saved address.action field must be either “checkout” or “save_order”.curl -X POST "https://api.example.com/api/v1/i/orders/" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"action": "checkout",
"billing_address": {
"street_address": "123 Main St",
"postal_code": 12345,
"city": "Anytown",
"state": "CA",
"country": "Canada"
}
}'
{
"success": "Your Order has been saved"
}
Address Assignment
billing_address (creates new Address record)Order Creation
awaiting_paymentTransfer Cart Items
amount_savedcurl -X POST "https://api.example.com/api/v1/i/orders/" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"action": "checkout",
"billing_address": {
"street_address": "123 Main St",
"postal_code": 12345,
"city": "Anytown",
"state": "CA",
"country": "Canada"
}
}'
{
"success": "Your Order has been saved"
}